<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!-- 
@author: fredy.wilches
@version 2.0
@modifiedBy: fabio.navarrete
@description Formulario que permite realizar el ingreso de los valores asociados al solicitante
@cu CU-CO-E-09
Parámetros Posibles:
@param managedBeanParam: Managed bean que se está usando para obtener los datos pertinentes.
        Funciones necesarias:
        ->guardarSolicitanteSolicitud: Método encargado de almacenar la variable que contiene
        los datos vinculados al solicitante de la solicitud.
        ->guardarSolicitanteTramite: Método encargado de almacenar la variable que contiene
        los datos vinculados al solicitante del trámite.
@param solicitanteParam: variable que contiene los datos del Solicitante.
@param isTramiteParam: Indica si se está manejando un trámite, si es false se asume que 
        se está manejando el solicitante de una Solicitud
-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:p="http://primefaces.org/ui"
             xmlns:fn="http://java.sun.com/jsp/jstl/functions" columns="1"
             id="adicionarEntidadGrupoPanelGrid" width="100%">

    <h:form id="adionarEntidadGrupoTForm"
            onkeypress="return event.keyCode != 13;">


        <p:messages id="solMsgs" showDetail="false" />

        <p:panel header="Entidad" id="panelEntidadGT">

            <p:messages id="entidadGrupoMsgs" showDetail="false" />	

            <h:panelGrid columns="2" width="100%">
                <h:outputLabel
                    value="Entidad o grupo de trabajo que realizará la prueba:" />
                <h:selectOneMenu rendered="#{!menu.usuarioDelegado}"
                                 value="#{envioComunicacionAutoPruebas.entidadGrupoInternoPrueba}">
                    <f:selectItems 
                        value="#{general.entidadGrupoTrabajoPruebas}" />
                    <p:ajax process="@this"
                            update="panelEntidadGT, entidadExternaPanelGrid, guardarAdjuntarBtn"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectReceptor}" />
                </h:selectOneMenu>

                <h:selectOneMenu rendered="#{menu.usuarioDelegado}"
                                 value="#{envioComunicacionAutoPruebas.entidadGrupoInternoPrueba}">
                    <f:selectItems 
                        value="#{general.entidadGrupoTrabajoPruebasDelegada}" />
                    <p:ajax process="@this"
                            update="panelEntidadGT, entidadExternaPanelGrid, guardarAdjuntarBtn"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectReceptor}" />
                </h:selectOneMenu>

                <h:outputLabel value="Territorial:"
                               rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion or 
                                           envioComunicacionAutoPruebas.grupoInternoTrabajo}" />
                <h:selectOneMenu
                    value="#{envioComunicacionAutoPruebas.territorialSeleccionadaCodigo}"
                    rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion or 
                                envioComunicacionAutoPruebas.grupoInternoTrabajo}"
                    disabled="#{envioComunicacionAutoPruebas.territorialAreaConservacion}">
                    <f:selectItems value="#{general.territorialesConDireccionGeneral}" />
                    <p:ajax process="@this" update="panelEntidadGT"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectTerritorial}" />
                </h:selectOneMenu>

                <h:outputLabel value="Unidades operativas de catastro:"
                               rendered="#{!envioComunicacionAutoPruebas.territorialSeleccionada.direccionGeneral
                                           and fn:length(envioComunicacionAutoPruebas.unidadesOperativasCatastro) gt 0
                                           and envioComunicacionAutoPruebas.territorialAreaConservacion}" />
                <h:selectOneMenu
                    value="#{envioComunicacionAutoPruebas.unidadOperativaSeleccionadaCodigo}"
                    rendered="#{!envioComunicacionAutoPruebas.territorialSeleccionada.direccionGeneral
                                and fn:length(envioComunicacionAutoPruebas.unidadesOperativasCatastro) gt 0
                                and envioComunicacionAutoPruebas.territorialAreaConservacion}"
                    disabled="#{envioComunicacionAutoPruebas.territorialAreaConservacion}">
                    <f:selectItems
                        value="#{envioComunicacionAutoPruebas.unidadesOperativasCatastro}" />
                    <p:ajax process="@this" update="panelEntidadGT"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectUnidadesOperativasCatastro}" />
                </h:selectOneMenu>

                <h:outputLabel value="Subdirecciones u oficinas:"
                               rendered="#{envioComunicacionAutoPruebas.grupoInternoTrabajo}" />
                <h:selectOneMenu
                    value="#{envioComunicacionAutoPruebas.subdireccionOficinaSeleccionadaCodigo}"
                    rendered="#{envioComunicacionAutoPruebas.grupoInternoTrabajo}">
                    <f:selectItems
                        value="#{envioComunicacionAutoPruebas.subdireccionesOficinas}" />
                    <p:ajax process="@this" update="panelEntidadGT"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectSubdireccionesOficinas}" />
                </h:selectOneMenu>

                <h:outputLabel value="Grupo de trabajo:"
                               rendered="#{envioComunicacionAutoPruebas.subdireccionOficinaSeleccionada.subdireccion
                                           or envioComunicacionAutoPruebas.subdireccionOficinaSeleccionada.oficinaApoyo
                                           and not empty envioComunicacionAutoPruebas.gruposTrabajo}" />
                <h:selectOneMenu
                    value="#{envioComunicacionAutoPruebas.grupoInternoTrabajoSeleccionadoCodigo}"
                    rendered="#{envioComunicacionAutoPruebas.subdireccionOficinaSeleccionada.subdireccion
                                or envioComunicacionAutoPruebas.subdireccionOficinaSeleccionada.oficinaApoyo
                                and fn:length(envioComunicacionAutoPruebas.gruposTrabajo) gt 1}">
                    <f:selectItems
                        value="#{envioComunicacionAutoPruebas.gruposTrabajo}" />
                    <p:ajax process="@this" update="panelEntidadGT"
                            listener="#{envioComunicacionAutoPruebas.refreshPostSelectGrupoTrabajo}" />
                </h:selectOneMenu>

                <h:outputLabel value="Nombre:"
                               rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion
                                           or envioComunicacionAutoPruebas.grupoInternoTrabajo}" />
                <h:selectOneMenu
                    rendered="#{envioComunicacionAutoPruebas.grupoInternoTrabajo
                                and fn:length(envioComunicacionAutoPruebas.nombresFuncionarios) gt 1}">
                    <f:selectItems
                        value="#{envioComunicacionAutoPruebas.nombresFuncionarios}" />
                </h:selectOneMenu>
                <h:outputText
                    value="#{envioComunicacionAutoPruebas.funcionarioSeleccionado}"
                    rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion
                                or envioComunicacionAutoPruebas.grupoInternoTrabajo}" />

                <h:outputLabel value="Correo electrónico:"
                               rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion
                                           or envioComunicacionAutoPruebas.grupoInternoTrabajo}" />
                <h:outputText
                    value="#{envioComunicacionAutoPruebas.eMailFuncionarioSeleccionado}"
                    rendered="#{envioComunicacionAutoPruebas.territorialAreaConservacion
                                or envioComunicacionAutoPruebas.grupoInternoTrabajo}" />

            </h:panelGrid>
        </p:panel>

        <h:panelGrid id="entidadExternaPanelGrid">
            <p:panel header="Entidad externa"
                     rendered="#{envioComunicacionAutoPruebas.entidadExterna}">

                <ui:include src="../../tramite/radicacion/datosSolicitante.xhtml">
                    <ui:param name="solicitanteParam"
                              value="#{envioComunicacionAutoPruebas.solicitanteAfectadoSeleccionado}" />
                    <ui:param name="managedBeanParam"
                              value="#{envioComunicacionAutoPruebas}" />
                    <ui:param name="isAdicionAfectado" value="false" />
                    <ui:param name="mostrarRelacionesParam" value="false" />
                    <ui:param name="postIdParam" value="EntidadExterna" />
                    <ui:param name="idParam" value="adionarEntidadGrupoTForm:" />
                    <ui:param name="updateDatosIdentificacion"
                              value="adionarEntidadGrupoTForm:entidadGrupoMsgs" />
                    <ui:param name="banderaBusquedaRealizadaParam"
                              value="#{envioComunicacionAutoPruebas.banderaBusquedaAfectadoRealizada}" />
                    <ui:param name="containerCUpdateParam"
                              value="adionarEntidadGrupoTForm" />
                    <ui:param name="selectedSolicitudParam"
                              value="#{selectedSolicitudParam}" />
                    <ui:param name="estaEnRadicacion" value="false" />
                </ui:include>
            </p:panel>
        </h:panelGrid>

        <p:spacer width="0" height="10" />

        <p:outputPanel layout="block" style="text-align:left">

            <p:spacer height="0" width="13" />
            <p:commandButton value="Guardar y adjuntar"
                             icon="ui-icon ui-icon-disk" id="guardarAdjuntarBtn"
                             onstart="statusDialog2.show();"
                             disabled="#{envioComunicacionAutoPruebas.activarGuardarYAdjuntarAdicionarEntidadGrupoTrabajo}"
                             update=":adionarEntidadGrupoTForm:entidadGrupoMsgs, :enviarComunicacionAutoPruebasForm:panelEntidadesOGrupos"
                             action="#{envioComunicacionAutoPruebas.guardarEntidadGrupo}"
                             oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status, args, adicionarEntidadGrupoWV, false)">
            </p:commandButton>
        </p:outputPanel>
    </h:form>

</h:panelGrid>